<script language="vbscript" runat="server">

'CheckError
'response.Write ""
'response.flush
'response.end
'

Response.write(vbCRLF& "ASP Script Name: GenericASPSQL.asp" & vbCRLF)

On Error Resume Next

' Constants
const adOpenForwardOnly = 0 ' Forward only movement through records
const adOpenKeyset      = 1 ' Movement any direction

const adOpenDynamic = 2
const adOpenStatic  = 3
const adLockOptimistic = 3

Dim dbPathAndFilename
Dim ConnectionString

Dim rs

Dim UID
Dim PW
Dim dbFile
Dim dbTable 


' ////////////////////////////////////////////////////////////
' Main
' ////////////////////////////////////////////////////////////

	' Initialise
	OpenDatabase = False
	
	dbFile = "Logins.mdb"
	dbTable = "Login"
	UID= Request("UID")
	
	PW= Request("PW")
	SQL= Request("sql")


	response.write "sql=" & sql & vbCRLF

	dbPathAndFilename = Server.MapPath(dbFile)
	

	Set Connection = Server.CreateObject("ADODB.Connection")
	Connection.ConnectionTimeout = 30
	Connection.CommandTimeout = 80

	ConnectionString = "DRIVER={Microsoft Access Driver (*.mdb)};" &_
	                   "DBQ=" & dbPathAndFilename & ";DefaultDir=;" &_
	                   "UID=" & Username & ";" &_
	                   "PWD=" & Password & ";"
	
	Connection.Open ConnectionString
	
	OpenDatabase = True
		
	sqlstr = SQL

	response.write "Select caes: " & ucase(left(sql,6))  & vbcrlf
	response.flush

	Select case ucase(left(sql,6)) 

	  case "SELECT"

		response.write "select" & vbcrlf

		set rs = Server.CreateObject("ADODB.RecordSet")
		rs.Open sqlstr , Connection, adOpenForwardOnly, adLockOptimistic

		if rs.bof and rs.eof then
			response.write vbcrlf & "Access denied. Sorry."
			response.end
		else
			response.write vbcrlf & "Access Granted Successfully, Welcome!"
		end if
	
	
		' Write field headings
		Dim item
		For each item in rs.Fields
			Response.Write item.Name & "/"
		next
				
	
		if ucase(left(sql,6)) = "SELECT" then
			' Write out records
			while not rs.EOF
				
				For each item in rs.Fields
					Response.Write item.Value & "/"
				next
				Response.Write vbCRLF
				
				rs.MoveNext
			wend
		end if

		rs.Close
		set rs = nothing

	case "DELETE", "UPDATE"
    	
    	response.write "DELETE OR UPDATE"
		response.flush
    	
        Connection.execute sqlStr
		response.flush
		
	case "INSERT"
		
		response.write "select" & vbcrlf
		response.flush


		'Execute the Insert
        Connection.execute sqlStr
		response.flush


		'now retrieve the RecID of the inserted Records
		set rs = Server.CreateObject("ADODB.RecordSet")
		rs.Open "Select @@Identity", Connection, adOpenForwardOnly, adLockOptimistic

 		response.write vbcrlf
	   	response.write "@@Identity (Last Inserted Record ID): " & rs(0) & vbcrlf
		response.flush

    end select

	Connection.Close
	set Connection = nothing
	
CheckError

'response.end


' ////////////////////////////////////////////////////////////
Function CheckError()
' ////////////////////////////////////////////////////////////

' CheckError: Checks for, and reports Errors. 
' Returns True if an error has occured, False otherwise
	if Err.number <> 0 then
		Response.Write "ERROR: " & vbcrlf & "A run-time error occurred." & vbcrlf & "Error Number: " &_
                           Err.number & vbcrlf  & "Error Description: " & vbcrlf  & Err.description & vbCRLF
		CheckError = True
	Else
	    Response.Write vbCRLF & "NO ERROR" & vbCRLF
		CheckError = False
	End If
end Function



</script>


